  .lostPassword{
    float: right;
  font-size: 80%;
}
body{
    font-family:Arial;
    font-size:18px;
    margin:0 !important;
}

.separator{
    font-size: 16px;
    font-weight: normal;
    margin: 0 10px;
    color:silver;
}

.overlay{
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    opacity: 0;
    visibility: hidden;
    transition: opacity .35s, visibility .35s, height .35s;
    overflow: hidden;
    background: black;
    z-index: -1;
}

#main-menu {
  display: block;
  height: 50px;
  width: 100%;
  background: #3D0E61;
  margin: 0px;  
  z-index: 9;
}

#main-menu ul {
  max-width: fit-content;
  width: 100%;
 /*  height: 100%; */
  margin: 0px auto;
  padding: 0px;
  display: flex;
  justify-content: space-evenly;
  align-items: center;
  z-index: 9;
}

#main-menu li {
  list-style-type: none;
  font-size: 2rem;
}

#main-menu a {
  color: #B9FAF8;
  font-size: 1rem;
  text-decoration: none;
}

#main-menu a:hover {
  text-decoration: underline;
}

#hamburger-input{
  display: none;
}

#hamburger-menu {
    position: fixed;
    width: 30px !important;
    height: 20px !important;
    display: none !important;
    border: none;
    padding: 0px;
    font-family: 'Cabin', Sans-serif;
    background: linear-gradient( to bottom, #000 20%, #673AB7 20% 40%, #000 40% 60%, #673AB7 60% 80%, #000 80% 100% );
    margin: 10px 0 0 5px;
    border-radius: 2px;
}

#hamburger-menu #sidebar-menu {
    visibility: hidden;
    position: fixed;
    top: 0;
    left: -250px;
    width: 200px;
    height: 100%;
    background-color: #3D0E61;
    transition: 0.3s;
    padding: 0px 10px;
    box-sizing: border-box;
    }

#hamburger-menu h3 {
  color: #B9FAF8;
  font-size: 2.2rem;
}

#hamburger-menu ul {
  padding-left: 0px;
}

#hamburger-menu li {
  list-style-type: none;
  line-height: 3rem;
}

#hamburger-menu a {
  color: #B9FAF8;
  font-size: 1.3rem;
  text-decoration: none;
}

#hamburger-menu a:hover {
  text-decoration: underline;
}

#hamburger-input:checked + #hamburger-menu #sidebar-menu {
    visibility: visible;
    left: 0;
}
#hamburger-input:checked ~ .overlay{
   visibility: visible;
  opacity: 0.4;
}
#pageWrapper{
    margin:30px auto;
    width:fit-content;
    min-width:600px;
    border:1px solid #673AB7;
    max-width: 900px;
    padding:0;  /* don't change - stop tail chasing - add a contentWrapper*/
}
#contentWrapper{
    padding:20px;
}
#pageTitle{

    background-color:#673AB7;
    padding:10px;
    color:white;
    font-weight:bold;
    text-align:center;
}
#formWrapper{
    margin:auto;
    width: 90%;
}
.itemWrapper{
    display:flex;
}

form{
    margin:30px;
}
td .logLine{
    margin-top:20px;
}
a{
    text-decoration:none;
}
a:hover {
    text-decoraton:underline !important;
}
.fa-eye{
    font-size:15px;
    color:grey;
}
#response, #fail{
    border-bottom: 1px solid #378910;
    background-color: #9DDA7F;
    padding:20px;
    text-align:center;
    margin-bottom:0 !important;
}
#fail{
    background-color: #FF0000;
    color: #FFFFFF;
}
#heading{
   width:fit-content;
    background-color:#673AB7;
    padding:10px;
    color:white;
    font-weight:bold;  
    -moz-border-radius: 6px;
    border-radius: 6px;
}
.emailWrapper{
    border:1px solid #000000;
    background-color:#E2E2E2;
    padding:20px;
    width:fit-content;
}
.margin30{
    margin:30px;
}
.smallerText{
    font-size:15px;
}

#contentWrapper{
    padding:20px;
}
#pageTitle{

    background-color:#673AB7;
    padding:10px;
    color:white;
    font-weight:bold;
    text-align:center;
}
#formWrapper{
    margin:auto;
    width: 90%;
}
.itemWrapper{
    display:flex;
}
.extraInfo{
    width:fit-content;
    min-width:600px;

    max-width: 900px;
    padding:20px;
    margin:auto;
}
form{
    margin:30px;
}
td .logLine{
    margin-top:20px;
}
a{
    text-decoration:none;
}
a:hover {
    text-decoraton:underline !important;
}
#response, #fail{
    border-bottom: 1px solid #378910;
    background-color: #9DDA7F;
    padding:20px;
    text-align:center;
    margin-bottom:0 !important;
}
#fail{
    background-color: #FF0000;
    color: #FFFFFF;
}
#heading{
   width:fit-content;
    background-color:#673AB7;
    padding:10px;
    color:white;
    font-weight:bold;  
    -moz-border-radius: 6px;
    border-radius: 6px;
}
.emailWrapper{
    border:1px solid #000000;
    background-color:#E2E2E2;
    padding:20px;
    width:fit-content;
}
.margin30{
    margin:30px;
}
.smallerText{
    font-size:15px;
}

@media only screen and (min-width: 300px) and (max-width: 600px)  {

    body{
        width: 100%;
        margin: 0 ;
        font-size: unset;
    }
    #main-menu {
        display: none;
    }
    
    #hamburger-menu{
        display: inline !important;
    }
    #pageWrapper, #formWrapper {
        margin: 0;
        padding-bottom:10px;
        width:100% !important;
        min-width:unset;
    }
    div{
        font-size: 20px;
    }
    label{
        width:fit-content !important;
    }
    #pageInfo{
        font-size:15px;
    }
    .minorText{
        font-size: 15px;
    }
    .emailWrapper{
        margin:50px 5% 0 5%;
    }    
    input {
        font-family: Arial;
        padding-left: 5px;
        font-size: 20px;
        width: 90% !important;
    }
    #submit, input{
        height:unset;
    }
    #btnLogin{
        width:fit-content !important;
    }
    
    .margin30{
        margin: 0 !important;
    }
    form{
        margin: 0 3px 0 3px !important;
    }
    
    .smallerText{
        font-size:15px;
    } 
}


.password-strength-meter{
    width: 100%;
    transition: height 0.3s;

    display: flex;
    justify-content: stretch;

}
.meter-block {
      height: 4px;
      background: #ccc;

      margin-right: 6px;
      flex-grow: 1;

 &:last-child {
        margin: 0;
      }
    }
  }

  .password-strength-message {
    font-weight: 20px;
    height: 1em;
    text-align: right;
    transition: all 0.5s;
    margin-top: 3px;

    position: relative;
    .message-item {
      font-size: 12px;
      position: absolute;
      right: 0;
      opacity: 0;
      transition: opacity 0.2s;
    }
  }

  //define activated state:

  @for $i from 1 through 4 {
    &[data-strength="#{$i}"] {

      .meter-block:nth-child(-n + #{$i}) {
        //Switch cases color
        @if ($i == 1) {
          background: #cc3d04; //red
        } @else if($i == 2) {
          background: #ffc43b; //yellow
        } @else if($i == 3) {
          background: #9ea60a; //Yellow-green
        } @else if($i == 4) {
          background: #289116; //yellow
        }
      }

      .message-item:nth-child(#{$i}) {
        opacity: 1;
      }
    }
  }
}
